These links are in an element with display table-row, and the li elements have display: table-cell. They disappear:

- people
- places
- members
- links

This text is not in the form. The form should be indented 40px.

This is text in the form. It should be indented 40px. The form itself has the same table-row/table-cell problem as above.

First Name (required) Last Name (required)

Email Address

Company Name Title